View Issue Details

IDProjectCategoryView StatusLast Update
0032548Open CASCADEPRODUCTS:Volume Renderingpublic2021-12-17 18:41
Reporterkgv Assigned Tongavrilo  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032548: Volume Rendering, VolumeRender_RaytraceRenderer - allow defining unnormalized transfer function
DescriptionTransfer function presets introduced by 0032542 work with VolumeRender_RawRenderer but not with VolumeRender_RaytraceRenderer.
This is because the latter one expects transfer function to be defined in normalized range of values available in specific data set.

It is proposed making this behavior configurable.
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032542 verifiedngavrilo Volume Rendering - introduce Transfer Function presets for medical data sets (DICOM) 

Activities

kgv

2021-08-30 19:29

developer   ~0103559

kgv

2021-09-01 16:02

developer   ~0103635

kgv

2021-09-03 10:11

developer   ~0103705

kgv

2021-09-03 10:11

developer   ~0103706

Please raise the patch
- OCC Products: CR32548_2_occ

http://jenkins-test-12.nnov.opencascade.com:8080/view/master-CR32548_2_occ-KGV/

smoskvin

2021-09-04 14:25

administrator   ~0103758

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

smoskvin

2021-09-04 14:47

administrator   ~0103769

Fix has been integrated into master of occt-products repository

Related Changesets

occt-products: master 6a186126

2021-08-30 10:45:59

ngavrilo


Committer: bugmaster Details Diff
0032548: Volume Rendering, VolumeRender_RaytraceRenderer - allow defining unnormalized transfer function

Added VolumeRender_TransferFunction::IsNormalized() property.
Affected Issues
0032548
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - src/VolumeRender/VolumeRender_IsosurfacePresentation.hxx Diff File
mod - src/VolumeRender/VolumeRender_MetaReader.cxx Diff File
mod - src/VolumeRender/VolumeRender_MetaReader.hxx Diff File
mod - src/VolumeRender/VolumeRender_RawRenderer.hxx Diff File
mod - src/VolumeRender/VolumeRender_RaytraceRenderer.cxx Diff File
mod - src/VolumeRender/VolumeRender_RaytraceRenderer.hxx Diff File
mod - src/VolumeRender/VolumeRender_TransferFunction.hxx Diff File
mod - src/VolumeRenderTest/VolumeRenderTest.cxx Diff File

Issue History

Date Modified Username Field Change
2021-08-30 19:29 kgv New Issue
2021-08-30 19:29 kgv Assigned To => kgv
2021-08-30 19:29 kgv Note Added: 0103559
2021-08-30 19:29 kgv Relationship added child of 0032542
2021-09-01 16:02 kgv Note Added: 0103635
2021-09-03 10:11 kgv Note Added: 0103705
2021-09-03 10:11 kgv Note Added: 0103706
2021-09-03 10:11 kgv Assigned To kgv => bugmaster
2021-09-03 10:11 kgv Status new => resolved
2021-09-03 10:11 kgv Status resolved => reviewed
2021-09-04 14:25 smoskvin Note Added: 0103758
2021-09-04 14:25 smoskvin Status reviewed => tested
2021-09-04 14:47 smoskvin Test case number => Not required
2021-09-04 14:47 smoskvin Note Added: 0103769
2021-09-04 14:47 smoskvin Status tested => verified
2021-09-04 14:47 smoskvin Resolution open => fixed
2021-09-09 17:14 bugmaster Project Internal => Open CASCADE
2021-12-17 18:41 bugmaster Changeset attached => occt-products master 6a186126
2021-12-17 18:41 ngavrilo Assigned To bugmaster => ngavrilo
2021-12-17 18:41 ngavrilo Status closed => verified